# SN/RAM SDK Bootstrap

This bootstrap has been organized with scripts and reference material to aid
writing your program and to simplify compiling andi packaging the application
for installation to a device.

# Quick Start

Put the source code for your program in sandbox/source. In terminal, cd to the
sandbox directory and run "./configure.sh" to set up the build environment for
your program. Run "make" from the same directory to compile your source code.
Run "make install" to create a .zip package file for installing to a device.

# Key files and folders

**sandbox:** configure.sh and make commands must be executed from here.

**sandbox/source:** Source code folder. By default, any .c files in this folder
will be used in compiling the program.

**sandbox/accessory/sdk.conf:** Configuration file editable via GAU Expert Mode

**sandbox/packages:** Destination for device-installable .zip package file.

**reference:** Reference documentation for the iodb libraries, example programs
for using the iodb libraries,folder directory with example files for custom
tabs, and folder containing a documented example program implementing direct
access to the hardware I/O modules.


# Terminal Commands

	./configure.sh
	    Create the makefile for compiling your program and accessory files to be
	        added in the .zip package file.

	make
	    Compile your program.

	make install
	    Put your compiled program into an installable .zip package file.

	make installTab
	    Put your complied program into an installable .zip package file along
	    with custom tab files.

	make clean
	    Remove compiled binaries and any package files

	./reset.sh
	    Remove all generated files related to your program (preserves source)


# GAU Expert mode

You can control the program through the GAU as a sub system. From the home page:

> Advanced > Expert Mode > Configure Sub-systems

The sub-system will show up as "SDK" in the drop-down menu. This page will allow
you to start, stop and configure your program.

To use this page to configure your program, you must create a custom
configuration file. This file will be displayed in the text area, and you can
make/save changes without having to re-compile and install the package.

After running the configure.sh script, simply replace the contents of file

	accessory/sdk.conf

with your configuration. When you install the package, this file will be located
on the device here:

	/etc/jbm/sdk.conf

\* It is up to your program to know what to do with the contents of this file.
