/*
 * Example obtaining interface IP address
 *
 * Copyright Sixnet 2012
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <net/if.h>
#include <arpa/inet.h>

unsigned long GetInterfaceIPAddress(const char *l_cp_intfName);

 union uBorL  // It's a long, it's 4 bytes, it's a long . . . it's both!
      {
       unsigned long  aslong;
       unsigned char  asbyte[sizeof(unsigned long)];
      };


void main (int argc, char *argv[])
{
            uBorL myIP;

            myIP.aslong = GetInterfaceIPAddress("ppp0");

            printf("First  Octet of IP: %d\n", myIP.asbyte[3]);
            printf("Second Octet of IP: %d\n", myIP.asbyte[2]);
            printf("Third  Octet of IP: %d\n", myIP.asbyte[1]);
            printf("Forth  Octet of IP: %d\n", myIP.asbyte[0]);

}

unsigned long GetInterfaceIPAddress(const char *l_cp_intfName)
{
    unsigned long l_ul_ipaddr = 0;
    int  l_i_socket;
    struct ifreq *l_Sp_ifr = new struct ifreq;

    // Get a raw socket to talk to the network driver:
    l_i_socket = socket(AF_INET, SOCK_STREAM, IPPROTO_TCP);

    // Did we get a socket?
    if (l_i_socket >= 0) 
    {
        // Copy our interface name into the ifreq structure:
        strncpy(l_Sp_ifr->ifr_name, l_cp_intfName, IFNAMSIZ);

        // Set the address family to INET:
        l_Sp_ifr->ifr_addr.sa_family = AF_INET;

        // Try to get the interface's IP address:
        if (0 == ioctl(l_i_socket, SIOCGIFADDR, l_Sp_ifr)) 
        {
            // Save our interface IP for later...
            l_ul_ipaddr = ((struct sockaddr_in *)&(l_Sp_ifr->ifr_addr))->sin_addr.s_addr;
        }
    }

    // Close our socket descriptor:
    close(l_i_socket);

    // Release the memory allocated to the ifreq structure:
    delete l_Sp_ifr;
    l_Sp_ifr = NULL;

    return(l_ul_ipaddr);
}