//
// SDK Test Code to verify availability of headers and libraries
//
// This code does nothing functional, but only serves to verify the presence
// of all headers and libraries made available via SDK.

//
// Header Include Verification
//

// System

#include <string.h>

// Opensource

#include <cJSON.h>
#include <openssl/ssl.h>

// Homegrown

//#include <wsbu/iodb.h>
// Included to test backwards compatibility
#include <iodb/iodb.h>

//
// Linker Verification Functions
//

// Opensource

void check_cjson()
{
	cJSON *root = cJSON_CreateObject();
	cJSON_Delete(root);
}

void check_openssl()
{
	SSL_CTX *sslctx;
	SHA_CTX *sha1ctx;
	SHA512_CTX *sha512ctx;
	int rcode;

	// ssl
	sslctx = SSL_CTX_new( SSLv23_method() );
	SSL_CTX_free(sslctx);

	// crypto
	rcode = SHA1_Init(sha1ctx);
	rcode = SHA512_Init(sha512ctx);
}

// Homegrown

void check_iodb()
{
    IODBerr ecode;
    short value;

	ecode = IODBRead(1, 1, 1, (void *)value, NULL);
	ecode = IODBWrite(1, 1, 1, (void *)value, NULL);
}

//
// Test Runner
//

int main()
{

	check_cjson();
	check_openssl();
	check_iodb();

    return 0;
}
