# SNRAM SDK Toolchain Installation

## Host System

Only Linux operating systems are supported as a build host. Any major modern
Linux distribution like Ubuntu, Fedora or OpenSuse should work. In Windows,
you can use a VirtualBox virtual machine. We recommend using Ubuntu Long-
Term Support (LTS) releases.

### System Requirements

We recommend at least the following:

* 2G RAM/Memory Size
* 8G Hard-disk space
    * Using a Dynamically Allocated VirtualBox Disk Image (VDI) in VirtualBox
    will preserve host disk space until actually needed.

## Toolchain Installation

Extract the snsdk tarball to a location of your choice. This archive contains a
"wsbu.mk" makefile include that will make the compiler and flags available
through environment variables. To extract:

    mkdir -p ~/snsdk
    tar -xf snsdk.4.28.tgz -C ~/snsdk

### Upgrading from 4.26 and earlier

In 4.27+, the snsdk tarball contains the toolchain with supplemental libraries
already installed. To upgrade, you can rename the existing installation and copy
the new one into place:

    mv /opt/eldk /opt/eldk.bak
    tar -xf snsdk.4.28.tgz
    cp -r opt/eldk /opt

To use the new WSBU\_\* variables documented below, you will need to copy the
makefile includes along with your installation. In this case\*:

    cp wsbu* /

> If you installed your toolchain to root (/) this may require sudo permissions

## Toolchain Usage

To see all variables and utilities available, put the following in a makefile:

    # Path to wsbu.mk from snsdk extraction above
    include $(HOME)/snsdk/wsbu.mk

    env:
        env | grep "^WSBU_"

And run the following at a command line:

    make env
