// ©2015 Red Lion Controls, Inc. All rights reserved. Red Lion, the Red Lion logo and Sixnet are registered trademarks of Red Lion Controls, Inc. All other company and product names are trademarks of their respective owners.
// $Workfile: asciisym.h $  $Date: 2/02/07 12:01p $



#ifndef ASCIISYM_H
 #define ASCIISYM_H


 enum _ASCIISYMS  // Popular ASCII symbol definitions:
     {                                                                         /*
       NAME     HEX      DESCRIPTION                  DEC    KEY
      -------------------------------------------------------------            */
      eNULa  = 0x00,  // NULL.                       (  0 : ------)
      eSOHa  = 0x01,  // Start of Header.            (  1 : ctrl-A)
      eSTXa  = 0x02,  // Start of Text.              (  2 : ctrl-B)
      eETXa  = 0x03,  // End of Text.                (  3 : ctrl-C)
      eEOTa  = 0x04,  // End of Transmission.        (  4 : ctrl-D)
      eENQa  = 0x05,  // Enquire.                    (  5 : ctrl-E)
      eACKa  = 0x06,  // Acknowledgment.             (  6 : ctrl-F)
      eBELa  = 0x07,  // Bell.                       (  7 : ctrl-G)
      eBSa   = 0x08,  // Backspace.                  (  8 : ctrl-H)
      eHTa   = 0x09,  // Horizontal Tab.             (  9 : ctrl-I)
      eLFa   = 0x0A,  // Line Feed.                  ( 10 : ctrl-J)
      eVTa   = 0x0B,  // Vertical Tab.               ( 11 : ctrl-K)
      eFFa   = 0x0C,  // Form Feed.                  ( 12 : ctrl-L)
      eCRa   = 0x0D,  // Carriage Return.            ( 13 : ctrl-M)
      eSOa   = 0x0E,  // Shift Out.                  ( 14 : ctrl-N)
      eSIa   = 0x0F,  // Shift In.                   ( 15 : ctrl-O)
      eDLEa  = 0x10,  // Data Link Escape.           ( 16 : ctrl-P)
      eDC1a  = 0x11,  // Device Control (1).         ( 17 : ctrl-Q)
      eXONa  = 0x11,  // X-On.                       ( 17 : ctrl-Q)
      eDC2a  = 0x12,  // Device Control (2).         ( 18 : ctrl-R)
      eDC3a  = 0x13,  // Device Control (3).         ( 19 : ctrl-S)
      eXOFFa = 0x13,  // X-Off.                      ( 19 : ctrl-S)
      eDC4a  = 0x14,  // Device Control (4).         ( 20 : ctrl-T)
      eNAKa  = 0x15,  // Negative Acknowledgement.   ( 21 : ctrl-U)
      eSYNa  = 0x16,  // Sync.                       ( 22 : ctrl-V)
      eETBa  = 0x17,  // End of Transmission Block.  ( 23 : ctrl-W)
      eCANa  = 0x18,  // Cancel.                     ( 24 : ctrl-X)
      eEMa   = 0x19,  // End of Medium.              ( 25 : ctrl-Y)
      eSUBa  = 0x1A,  // Substitute.                 ( 26 : ctrl-Z)
      eEOFa  = 0x1A,  // End of File (DOS).          ( 26 : ctrl-Z)
      eESCa  = 0x1B,  // Escape.                     ( 27 : ctrl-[)
      eFSa   = 0x1C,  // Field  Seperator.           ( 28 : ctrl-\)
      eGSa   = 0x1D,  // Group  Seperator.           ( 29 : ctrl-])
      eRSa   = 0x1E,  // Record Seperator.           ( 30 : ctrl-^)
      eUSa   = 0x1F,  // Unit   Seperator.           ( 31 : ctrl- )
      eSPa   = 0x20,  // Space.                      ( 32 : space )
      ePOLLa = 0x70,  // Poll Select POLL character.
      eSELa  = 0x71,  // Poll Select SELECT character.
      eFSELa = 0x73,  // Poll Select FAST SELECT character.
      eDELa  = 0x7F,  // Delete.                     (127 : Delete)
      ePADa  = 0xFF   // Pad.                        (255 : ------)
     };


#endif // ASCIISYM_H



// END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END
//   END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END
// END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END
//   END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END
// END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END END
//
