// (C)2017 Red Lion Controls, Inc. All rights reserved. Red Lion, the Red Lion logo and Sixnet are registered trademarks of Red Lion Controls, Inc. All other company and product names are trademarks of their respective owners.
#ifndef  FILEVEC_HPP
 #define FILEVEC_HPP

 using namespace::std;
// #include <iostream>
 #include <fstream>
 #include <string>
 #include <vector>

 // search for a line
 // search for a line starting with
 // search for a line ending with
 // search for a line containing
 // determine if a line is currently commented
 // prepend a comment delimiter
 // remove a leading comment character
 // determine if a line is an assignment
 // change all text after an assignment delimiter
 // determine if a line is blank
 // change any word on a line
 // change all text after an assignment delimiter, matching from the beginning only
 
 class cFileVector : public vector< string >
 {
     public:
            static const int OOB = -1;

            cFileVector();
            cFileVector(const char *); // takes filename
            cFileVector(const char *, const bool &); // takes filename and comment delimiter
            cFileVector(const string &); // takes filename
            cFileVector(const string &, const bool &); // takes filename and comment delimiter
            ~cFileVector();

            void SetFilename(const char *);
            void SetFilename(const string &);

            bool Read(void);
            bool Write(void);
            bool WriteAppend(void);

            unsigned int GetLineCount(void);
            int Find(const string &, bool=false);
            bool GetLine(const string &, string &, bool=false);
            void AppendLine(const string &, bool l_b_add_lf=true);
            void InsertLine(const string &, unsigned int);
            bool DeleteLine(const string &, bool=false);
            bool DeleteMultipleLines(const string &, bool=false);
            bool UpdateLine(const string &, const string &, bool=false);
            bool UpdateLineBegin(const string &, const string &, bool=false);

            friend ostream & operator << (ostream &, cFileVector &);

     protected:
               string c_C_filename;
               string c_C_comment;
               string c_C_assignment;

               bool c_b_create;

     private:

 };
 
#endif //FILEVEC_HPP
