// ©2015 Red Lion Controls, Inc. All rights reserved. Red Lion, the Red Lion logo and Sixnet are registered trademarks of Red Lion Controls, Inc. All other company and product names are trademarks of their respective owners.
/* $Workfile: itoa.h $  $Date: 3/13/07 3:47p $



                              REVISION HISTORY

ͻ
   WHEN    WHO                             WHAT                           
͹
  2/28/95  ???  File created.                                             
                Even though most DOS/Win C/C++ compilers have support for 
                the itoa() function (integer to ascii (string)), most     
                UNIX C compilers dont.  GCC (GNU C Compiler) for example, 
                has atoi(), but not itoa().  Weird.  Well, here's a       
                solution to the problem. This is an excellent ANSI C itoa 
                routine.                                                  
Ķ
   6/9/98  afs  Not so weird when you consider that itoa is NOT an ANSI   
                C standard library function -it's nice, but not required  
                for standards compliance.  In its orignal form, this      
                routine is not as excellent as we'd be led to believe, it 
                ONLY handles radix values of 10 or 16 (not the 2 - 36 you 
                find in most other implementations), AND it prefixes a    
                '-' to negative values regardless of the radix (instead   
                of just base-10).  This routine was modified to repair    
                the '-' problem, for radices other than 10 or 16 you are  
                on your own (sorry).                                      
ͼ  */


#ifndef  __ITOA_H
 #define __ITOA_H

 #include<iostream>
 #include<string>
 #include <linux/version.h> //Kernel Version
 
#if (LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,0))
 
 #include<sstream>
#endif
 using namespace std;


 char * _itoa(unsigned int, char *, unsigned int);
 string itos(int);
 string ltos(long long);

#endif
