// ©2015 Red Lion Controls, Inc. All rights reserved. Red Lion, the Red Lion logo and Sixnet are registered trademarks of Red Lion Controls, Inc. All other company and product names are trademarks of their respective owners.
#ifndef  TLUTABLE_HPP
 #define TLUTABLE_HPP

 using namespace::std;

 #include <vector>
 #include <string>
 #include <fstream>
 #include <iostream>
 #include <sys/types.h>

 #include "tokenstr.hpp"

 #ifdef BUILD_TELN_CLI
  #include "cmdintf.hpp"
 #endif //BUILD_TELN_CLI

 #define MAX_TEXT_LOOKUP_TABLES 64

 #ifndef ENDL
  #define ENDL "\r\n"
 #endif

 class cTextLookupTable : public vector< tokenstr >
      {
       public:
              cTextLookupTable(bool l_b_match_all=true);
              cTextLookupTable(string, bool l_b_match_all=true);
              cTextLookupTable(string, string, bool l_b_match_all=true);
              cTextLookupTable(string, char, bool l_b_match_all=true);
              cTextLookupTable(string, const char *, bool l_b_match_all=true);
              cTextLookupTable(cTextLookupTable &, bool l_b_match_all=true);
              ~cTextLookupTable();
              bool DoesEntryExist(char *);
              bool DoesEntryExist(string);
              void SetDelimiter(char);
              void SetDelimiter(char *);
              void SetDelimiter(string);
              tokenstr GetEntryByLabel(string);
              unsigned int GetTableSize(void);
              string GetFieldByLabel(string, unsigned int);
              const char * GetFieldByLabel(char *, unsigned int);
              string GetTableName(void);
              void CompressEntries(void);
              bool ReadFile(void);
              void LoadBuffer(string);

              friend ostream & operator << (ostream &, cTextLookupTable &);

       protected:
                 string c_C_delimiter,
                        c_C_buffer,
                        c_C_defaultString,
                        c_C_filename;

                 tokenstr c_C_defaultEntry;
                 bool c_b_match_all_delimeters;

                 void ParseFileBuffer(void);

       private:
      };

#endif // ifndef TLUTABLE_HPP


