// ©2015 Red Lion Controls, Inc. All rights reserved. Red Lion, the Red Lion logo and Sixnet are registered trademarks of Red Lion Controls, Inc. All other company and product names are trademarks of their respective owners.
#ifndef  TOKENSTR_HPP
 #define TOKENSTR_HPP
 
 using namespace::std;

 #include <vector>
 #include <string>
 #include <iostream>

 class tokenstr : public vector< string >
      {
       public:
              tokenstr(bool l_b_match_all=true);
              tokenstr(const string &, char, bool l_b_match_all=true);
              tokenstr(const string &, char *, bool l_b_match_all=true);
              tokenstr(const string &, string, bool l_b_match_all=true);
              tokenstr(const char *, char, bool l_b_match_all=true);
              tokenstr(const char *, char *, bool l_b_match_all=true);
              tokenstr(const char *, string, bool l_b_match_all=true);
              ~tokenstr();
              void SetDelimiter(const char &, bool l_b_match_all=true);
              void SetDelimiter(const char *, bool l_b_match_all=true);
              void SetDelimiter(string &, bool l_b_match_all=true);
              void compress(void);
              void trim(void);
              void unescape(void);
              string token(unsigned int);
              unsigned int token_count(void);
              string label(void);
              void tokenize(void);
              void trim(string &);
              void unescape(string &);
           
       protected:
                 bool c_b_match_all_delimeters;
                 string c_C_mainString,
                        c_C_delimiter,
                        c_C_default;
         
                 friend ostream & operator << (ostream &, tokenstr &);

       private:
      };


/****************************************************************************************\
 ^^^^^^^^^^               ABOVE - The tokenstr base class                      ^^^^^^^^^^
 
 vvvvvvvvvv               BELOW - The cTokenizedString derived class           vvvvvvvvvv
\****************************************************************************************/


 class cTokenizedString : public tokenstr
      {
       public:
              cTokenizedString(const char *, char);
              cTokenizedString(cTokenizedString &); // Copy constructor
              ~cTokenizedString();

              unsigned int GetTokenCount(void);
              
              bool operator == (cTokenizedString &);
              bool operator != (cTokenizedString &);
              cTokenizedString & operator = (cTokenizedString &);

       protected:
                 friend ostream & operator << (ostream &, cTokenizedString &);

       private:
      };

#endif //TOKENSTR_HPP
