# Absolute path to wsbu_eldk.mk directory - portable and safe
_INSTALL_ROOT := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))/opt/eldk/4.2

export WSBU_ARCH = arm

# CROSS_COMPILE PATH Option
# Append PATH if not already
#ifeq ($(findstring $(_INSTALL_ROOT)/usr/bin,$(PATH)),)
WSBU_PATH := $(WSBU_PATH):$(_INSTALL_ROOT)/usr/bin
#endif
export WSBU_CROSS_COMPILE := arm-linux-gnueabi-

# CROSS_COMPILE Absolute-path Option - existing legacy solution
# Existing infrastructure uses an absolute path here.
#export WSBU_CROSS_COMPILE = $(_INSTALL_ROOT)/usr/bin/arm-linux-gnueabi-

export WSBU_GCC := $(WSBU_CROSS_COMPILE)gcc
export WSBU_GPP := $(WSBU_CROSS_COMPILE)g++
export WSBU_STRIP := $(WSBU_CROSS_COMPILE)strip

export WSBU_CCACHE := $(shell which ccache)
export WSBU_CCGCC := $(WSBU_CCACHE) $(WSBU_GCC)
export WSBU_CCGPP := $(WSBU_CCACHE) $(WSBU_GPP)

export WSBU_INCLUDES := $(WSBU_INCLUDES) \
	-isystem $(_INSTALL_ROOT)/arm/usr/include \
#

export WSBU_CXX_INCLUDES := \
	$(WSBU_INCLUDES) \
	-isystem $(_INSTALL_ROOT)/arm/usr/include/c++/4.2.2 \
	-isystem $(_INSTALL_ROOT)/arm/usr/include/c++/4.2.2/backward \
	-isystem $(_INSTALL_ROOT)/arm/usr/include/c++/4.2.2/arm-linux-gnueabi \
	-isystem $(_INSTALL_ROOT)/usr/lib/gcc/arm-linux-gnueabi/4.2.2/include \
#

export WSBU_LDFLAGS := \
	$(WSBU_LDFLAGS) \
	               -L$(_INSTALL_ROOT)/arm/usr/lib \
	-Wl,--rpath-link=$(_INSTALL_ROOT)/arm/usr/lib \
	               -L$(_INSTALL_ROOT)/arm/lib \
	-Wl,--rpath-link=$(_INSTALL_ROOT)/arm/lib \
#
